#include <bits/stdc++.h>
#define int int64_t
using namespace std;
#ifdef SEREGA
auto _fr_ = freopen("input.txt", "r", stdin);
#endif
//template <class T>
//using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
int a, b;
clock_t ST;
double TL() {
    return (double)(clock() - ST) / CLOCKS_PER_SEC;
}
void dfs(pair<int, int> left, pair<int, int> right, string &s) {
    if (TL() > 0.95) {
        cout << "no\n";
        exit(0);
    }
    pair<int, int> middle = {left.first + right.first, left.second + right.second};
//    cout << middle.first << ' ' << middle.second << endl;
    if (middle.first == a && middle.second == b) {
        for (char c : s) {
            cout << c;
        }
        cout << endl;
        exit(0);
    }
    if (middle.first > a || middle.second > b) return;
    s.push_back('L');
    dfs(left, middle, s);
    s.pop_back();
    s.push_back('R');
    dfs(middle, right, s);
    s.pop_back();
}
void solve() {
    cin >> a >> b;
    int g = __gcd(a, b);
    a /= g;
    b /= g;
    string s = "R";
    dfs({0, 1}, {1, 0}, s);
    cout << "no\n";
}

signed main() {
    cin.tie(nullptr)->sync_with_stdio(false);
    int t = 1;
    // cin >> t;
    while (t--) solve();
    return 0;
}
