#include <bits/stdc++.h>
using namespace std;
#ifdef SEREGA
auto _fr_ = freopen("input.txt", "r", stdin);
#endif
//template <class T>
//using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
vector<vector<int>> g;
set<int> answer;
int n, m, k;
void solve5000() {
    g.assign(n + 1, {});
    for (int i = 0; i < m; ++i) {
        int a, b;
        cin >> a >> b;
        g[a].push_back(b);
        g[b].push_back(a);
    }
    for (int i = 0; i < k; ++i) {
        int p, h;
        cin >> p >> h;
        vector<int> dist(n + 1, INT_MAX);
        dist[p] = 0;
        queue<int> q;
        q.push(p);
        while (!q.empty()) {
            int v = q.front();
            q.pop();
            answer.insert(v);
            for (int u : g[v]) {
                if (dist[u] == INT_MAX && dist[v] + 1 <= h) {
                    dist[u] = dist[v] + 1;
                    if (dist[v] + 1 == h) {
                        answer.insert(u);
                    } else {
                        q.push(u);
                    }
                }
            }
        }
    }
    cout << answer.size() << endl;
    for (int i : answer) {
        cout << i << ' ';
    }
}
vector<int> used;
pair<int, int> diameter(int x, int p = -1) {
    used[x] = true;
    pair<int, int> answer = {1, x};
    for (int u : g[x]) {
        if (!used[u]) {
            pair<int, int> child = diameter(u, x);
            if (child.first + 1 > answer.first) {
                answer = child;
                answer.first++;
            }
        }
    }
    return answer;
}
vector<short> old_to_new, new_to_old;
void rearrange(int x, int p = -1, int timer = 1) {
    used[x] = true;
    old_to_new[x] = timer;
    new_to_old[timer] = x;
    for (int u : g[x]) {
        if (!used[u]) {
            rearrange(u, x, timer + 1);
        }
    }
}

void solvebamboo() {
    g.assign(n + 1, {});
    old_to_new.assign(n + 1, {});
    new_to_old.assign(n + 1, {});
    for (int i =0 ; i < m; ++i) {
        int a, b;
        cin >> a >> b;
        g[a].push_back(b);
        g[b].push_back(a);
    }
    used.assign(n + 1, {});
    pair<int, int> first = diameter(1);
    used.assign(n + 1, {});
    rearrange(first.second);
    vector<int> ranges(n + 1);
    for (int i = 0; i < k; ++i) {
        int p, h;
        cin >> p >> h;
        ranges[max<int>(1, old_to_new[p] - h)] = 1;
        ranges[min(n, old_to_new[p] + h + 1)] = -1;
    }
    int ssf = 0;
    vector<int> answer;
    for (int i = 1; i <= n; ++i) {
        ssf += ranges[i];
        if (ssf > 0) {
            answer.push_back(new_to_old[i]);
        }
    }
    sort(answer.begin(), answer.end());
    cout << answer.size() << '\n';
    for (int i : answer) {
        cout << i << ' ';
    }
    cout << endl;
}
signed main() {
    cin.tie(nullptr)->sync_with_stdio(false);
    cin >> n >> m >> k;
    if (n <= 5000) solve5000();
    else solvebamboo();
    return 0;
}
